@extends('layout.master')
@section('parentPageTitle', 'Hibah')
@section('title', 'Pengajuan Insentif Buku')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <h6>Ubah Pengajuan Insentif Buku</h6>
                <form method="POST" action="{{route('insentif.pengajuan.update', ['id'=>$id])}}" enctype="multipart/form-data">
                @csrf
                    @if(Session::has('alert'))
                        <div class="alert alert-danger">
                            <div><button type="button" class="close" data-dismiss="alert"></button> &nbsp;&nbsp; {{Session::get('alert')}}</div>
                        </div>
                    @endif
                    <input type="hidden" name="pengajuan_untuk" id="pengajuan_untuk" value="{{$pengajuan->pengajuan_untuk}}">
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Judul Buku</b></label>
                        <div class="col-sm-6">
                            <textarea rows="3" cols="10" placeholder="Judul" class="form-control" id="judul" name="judul">{{$pengajuan->judul}}</textarea>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nama_penerbit" class="col-sm-4 col-form-label"><b>Nama Penerbit</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Nama Penerbit" value="{{$pengajuan->nama_penerbit}}" class="form-control" id="nama_penerbit" name="nama_penerbit">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nama_penerbit" class="col-sm-4 col-form-label"><b>Jumlah Halaman</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Jumlah Halaman" value="{{$pengajuan->jumlah_halaman}}" class="form-control tipenumber" id="jumlah_halaman" name="jumlah_halaman">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Jenis Buku</b></label>
                        <div class="col-sm-6">
                            <select name="jenis_publikasi" class="form-control" id="jenis_publikasi">
                                @foreach($jenisPublikasi as $val)
                                <option value="{{$val->jenis_publikasi_insentif_id}}" {{$pengajuan->jenis_publikasi_id == $val->jenis_publikasi_insentif_id ? 'selected':''}}>{{$val->nama}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="end_date" class="col-sm-4 col-form-label"><b id="txt1">Tahun Terbit</b></label>
                        <div class="col-sm-6">
                            <select name="tahun_publikasi" class="form-control" id="tahun_publikasi">
                                @for($i=date('Y');$i<=date('Y');$i++)
                                <option value="{{$i}}" {{$pengajuan->tahun_publikasi == $i ? 'selected' : ''}}>{{$i}}</option>
                                @endfor
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Tautan E-Book</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url" value="{{$pengajuan->url}}" class="form-control col-sm-10" placeholder="Tautan E-Book">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Tautan Laman Website Penerbit</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url_website_penerbit" value="{{$pengajuan->url_website_penerbit}}" class="form-control col-sm-10" placeholder="Tautan Laman Website Penerbit">
                        </div>
                    </div>
                    <div class="form-group row divBiaya">
                        <label for="vol" class="col-sm-12 col-form-label"><b id="txtbiaya">Biaya Penerbitan Buku</b></label>
                        <div class="col-sm-6">
                            <input type="text" value="{{$pengajuan->biaya}}" class="form-control nums" style="text-align:right;" id="biaya" name="biaya" placeholder="Jumlah Biaya (Rupiah)">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-6 col-sm-12">
                            <div class="form-group">
                                <label for="issn_1" class="col-sm-12 col-form-label"><b>ISBN</b></label>
                                <div class="col-sm-12">
                                    <table>
                                        <tr>
                                            <td><input type="text" name="isbn_1" value="{{count($arrIsbn) != 0 ? $arrIsbn[0] : null}}" class="form-control col-sm-12 isbn-column tipenumber" maxlength="3"></td>
                                            <td>&emsp;</td>
                                            <td><input type="text" name="isbn_2" value="{{count($arrIsbn) != 0 ? $arrIsbn[1] : null}}" class="form-control col-sm-12 isbn-column tipenumber" maxlength="3"></td>
                                            <td>&emsp;</td>
                                            <td><input type="text" name="isbn_3" value="{{count($arrIsbn) != 0 ? $arrIsbn[2] : null}}" class="form-control col-sm-12 isbn-column tipenumber" maxlength="4"></td>
                                            <td>&emsp;</td>
                                            <td><input type="text" name="isbn_4" value="{{count($arrIsbn) != 0 ? $arrIsbn[3] : null}}" class="form-control col-sm-12 isbn-column tipenumber" maxlength="2"></td>
                                            <td>&emsp;</td>
                                            <td><input type="text" name="isbn_5" value="{{count($arrIsbn) != 0 ? $arrIsbn[4] : null}}" class="form-control col-sm-12 isbn-column tipenumber" maxlength="1"></td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    @if($pengajuan->bukti_trf_penerbit != null)
                    <div class="form-group row">
                        <label for="bukti_trf_penerbit" class="col-sm-6 col-form-label"><b>Bukti Transfer ke Penerbit / Kwitansi dari Penerbitsebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/bukti_trf_penerbit/'.$pengajuan->bukti_trf_penerbit)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$pengajuan->bukti_trf_penerbit}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <input type="hidden" name="file_bukti_trf_penerbit" value="{{$pengajuan->bukti_trf_penerbit}}">
                        <label for="bukti_trf_penerbit" class="col-sm-6 col-form-label"><b>Bukti Transfer ke Penerbit / Kwitansi dari Penerbit</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_trf_penerbit" name="bukti_trf_penerbit" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i> | Max File Size 2MB
                            </li>
                        </ul>
                    </div>
                    @if($pengajuan->berkas_pengajuan != null)
                    <div class="form-group row">
                        <label for="berkas_pengajuan" class="col-sm-6 col-form-label"><b id="txt3">File E-Book sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/berkas_pengajuan/'.$pengajuan->berkas_pengajuan)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$pengajuan->berkas_pengajuan}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <input type="hidden" name="file_berkas_pengajuan" value="{{$pengajuan->berkas_pengajuan}}">
                        <label for="berkas_pengajuan" class="col-sm-6 col-form-label"><b id="txt2">Unggah E-Book</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="berkas_pengajuan" name="berkas_pengajuan" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.pdf <i class="fa fa-file"></i> | Max File Size 2MB
                            </li>
                        </ul>
                    </div>
                    
                    @if($pengajuan->cover_daftar_isi_buku != null)
                    <div class="form-group row">
                        <input type="hidden" name="file_cover_daftar_isi_buku" value="{{$pengajuan->cover_daftar_isi_buku}}">
                        <label for="cover_daftar_isi_buku" class="col-sm-6 col-form-label"><b id="txt3">Cover dan Daftar Isi Buku sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/cover_daftar_isi_buku/'.$pengajuan->cover_daftar_isi_buku)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$pengajuan->cover_daftar_isi_buku}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <label for="cover_daftar_isi_buku" class="col-sm-6 col-form-label"><b id="txt2">Cover dan Daftar Isi Buku</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="cover_daftar_isi_buku" name="cover_daftar_isi_buku" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i> | Max File Size 2MB
                            </li>
                        </ul>
                    </div>

                    <div class="form-group row">
                        <label for="status_pengajuan" class="col-sm-4 col-form-label"><b>Simpan dengan Status</b></label>
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_1" value="Draf" name="status_pengajuan" class="custom-control-input status" {{$pengajuan->status_pengajuan == 'Draf' ? 'checked' : ''}}>
                                <label class="custom-control-label" for="status_pengajuan_1">Draf</label>
                            </div>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_2" value="Menunggu Validasi" name="status_pengajuan" class="custom-control-input status" {{$pengajuan->status_pengajuan == 'Menunggu Validasi' ? 'checked' : ''}}>
                                <label class="custom-control-label" for="status_pengajuan_2">Ajukan Validasi</label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-10">
                            <button type="submit" class="btn btn-primary">Ubah</button>
                            <!--<button type="button" class="btn btn-danger">Simpan sebagai Draf</button>-->
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>            
</div>

@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-select/css/bootstrap-select.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>

<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-select/js/bootstrap-select.min.js') }}"></script>
<script>
    $(function() {
        "use strict";

        var date = new Date();
        date.setDate(date.getDate());

        $('#start_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });

        $('#end_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });
       
    });
</script>
@stop
