@extends('layout.master')
@section('parentPageTitle', 'Simlitabmas')
@section('title', 'Pengajuan Insentif DOI')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="tab-content mt-3">
            <div class="tab-pane fade show active" id="bisnis-riset" role="tabpanel">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title"><b>Pengajuan Insentif DOI</b></h3>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <span class="pb-20">
                                <button class="btn btn-primary" type="button" id="btnAjuanDOI">
                                    Buat Pengajuan
                                </button>
                                <!-- <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#kontrak_kerja_upload"><i class="fe fe-upload mr-2"></i>Unggah</button> -->
                            </span>
                    
                            <table class="table table-hover table-striped table-bordered mt-10" style="width:100%" id="tablePengajuanInsentifDOI">
                                <thead>
                                    <tr>
                                        <th><b>No</b></th>
                                        <th><b>Pengajuan Insentif ID</b></th>
                                        <th><b>Pemohon</b></th>
                                        <th><b>Volume / Nomor / Tahun</b></th>
                                        <th><b>Jumlah Artikel</b></th>
                                        <th><b>Status</b></th>
                                        <th><b>Action</b></th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>            
</div>
@stop

@section('popup')
<div class="modal fade" id="upload_insentif" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Unggah Surat Ajuan Insentif</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <form id="formUploadInsentif" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="row clearfix">
                        <div class="col-12">
                            <div class="form-group mt-2 mb-3">
                                <p><b>Langkah-langkah untuk meng-<i>upload</i> laporan akhir</b></p>
                                <ul>
                                    <li>Download template Surat Ajuan Insentif <a href="/template/template_hibah_penelitian.xlsx" download>disini</a>.</li>
                                    <li>Klik area dibawah dan pilih file yang anda isikan sebelumnya</li>
                                </ul>
                                <input type="file" name="fileupload" class="dropify" accept="application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document">
                                <input type="hidden" id="pengajuan_insentif_hidden" name="pengajuan_insentif_id">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                    <button type="submit" class="btn btn-primary">Unggah</button>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="modal fade" id="modalrevisi" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Catatan Revisi</h5>
            </div>
            <div class="modal-body">
                <div class="row clearfix">
                    <div class="col-12">
                        <div class="form-group mt-2 mb-3">
                            <p id="txtrevisi"></p>                                
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
            </div>
        </div>
    </div>
</div>
@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/datatable/dataTables.bootstrap4.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/dropify/css/dropify.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/bundles/counterup.bundle.js') }}"></script>
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/plugins/dropify/js/dropify.min.js') }}"></script>

<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/js/form/dropify.js') }}"></script>    
<script src="{{ asset('assets/plugins/datatable/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/buttons/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/buttons/buttons.html5.min.js') }}"></script>
<script src="{{ asset('assets/js/jszip.min.js') }}"></script>
<script src="{{ asset('assets/js/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ asset('assets/js/pdfmake/vfs_fonts.js') }}"></script>
<script>
    $(document).on('click', '#btnAjuanDOI', function(){
        window.location.replace('/insentif/doi/create');

        return false;
    });
</script>
@stop
