@extends('layout.master')
@section('parentPageTitle', 'Hibah')
@section('title', 'Ubah Pengajuan Insentif HKI')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <h6>Ubah Pengajuan Insentif HKI</h6>
                <form method="POST" action="{{route('insentif.pengajuan.update', ['id'=>$id])}}" enctype="multipart/form-data">
                @csrf
                    @if(Session::has('alert'))
                        <div class="alert alert-danger">
                            <div><button type="button" class="close" data-dismiss="alert"></button> &nbsp;&nbsp; {{Session::get('alert')}}</div>
                        </div>
                    @endif
                    <input type="hidden" name="pengajuan_untuk" value="HKI">
                    <input type="hidden" name="id" value="{{$id}}">
                    <input type="hidden" name="flag" value="0">
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Nama</b></label>
                        <div class="col-sm-6">
                            <input type="text" disabled value="{{$dosen->nama_dosen}}" name="nama" id="nama" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Alamat</b></label>
                        <div class="col-sm-6">
                            <textarea rows="5" placeholder="Alamat" class="form-control" id="alamat" name="alamat">{{$data->alamat}}</textarea>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>No HP</b></label>
                        <div class="col-sm-6">
                            <input type="text" required value="{{$data->no_hp}}" name="no_hp" value="{{$data->no_hp}}" id="no_hp" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Judul</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Judul" class="form-control" id="judul" value="{{$data->judul}}" name="judul">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="team">Anggota &nbsp;<button class="btn btn-primary" id="btnAddMember" type="button" title="Tambah Anggota"><i class="fa fa-plus"></i></button></label>
                        <div class="col-sm-12">
                            <div class="table-responsive">
                                <table class="table table-striped" id="tablememberhki">
                                    <thead>
                                        <tr>
                                            <th><b>Nama</b></th>
                                            <th><b>Alamat dan Kode Pos</b></th>
                                            <th><b>No HP</b></th>
                                            <th><b>Action</b></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if(count($memberHKI) == 0)
                                        <tr>
                                            <td>
                                                <input type="text" placeholder="Nama Anggota" class="form-control namaMember" name="member[nama][]">
                                            </td>
                                            <td>
                                                <textarea name="member[alamat][]" class="form-control alamatMember" rows="5"></textarea>
                                            </td>
                                            <td>
                                                <input type="text" placeholder="No Telp / HP" class="form-control noHpMember" name="member[no_hp][]">
                                            </td>
                                            <td>
                                                <button type="button" class="btn btn-danger btnremove" title="Hapus baris ini" style="display:none;"><i class="fa fa-close"></i></button>
                                            </td>
                                        </tr>
                                        @else
                                        @foreach($memberHKI as $key=>$value)
                                        <tr>
                                            <td>
                                                <input type="text" placeholder="Nama Anggota" value="{{$value->nama}}" class="form-control namaMember" name="member[nama][]">
                                            </td>
                                            <td>
                                                <textarea name="member[alamat][]" class="form-control alamatMember" rows="5">{{$value->alamat}}</textarea>
                                            </td>
                                            <td>
                                                <input type="text" placeholder="No Telp / HP" value="{{$value->no_hp}}" class="form-control noHpMember" name="member[no_hp][]">
                                            </td>
                                            @if($key > 0)
                                            <td>
                                                <button type="button" class="btn btn-danger btnremove" title="Hapus baris ini"><i class="fa fa-close"></i></button>
                                            </td>
                                            @else
                                            <td>
                                                <button type="button" class="btn btn-danger btnremove" title="Hapus baris ini" style="display:none;"><i class="fa fa-close"></i></button>
                                            </td>
                                            @endif
                                        </tr>
                                        @endforeach
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Tanggal Publikasi</b></label>
                        <div class="col-sm-6">
                            <input type="text" name="tanggal_publikasi" id="tanggal_publikasi" value="{{$data->tanggal_publikasi}}" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Kota Publikasi</b></label>
                        <div class="col-sm-6">
                            <input type="text" name="nama_kota_publikasi" id="nama_kota_publikasi" value="{{$data->nama_kota_publikasi}}" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="end_date" class="col-sm-4 col-form-label"><b>Resensi / Uraian</b></label>
                        <div class="col-sm-6">
                            <textarea name="resensi_uraian" id="resensi_uraian" class="form-control" rows="15">{{$data->resensi_uraian}}</textarea>
                        </div>
                    </div>
                    @if($data->berkas_ktp_npwp != null)
                    <div class="form-group row">
                        <label for="berkas_ktp_npwp" class="col-sm-6 col-form-label"><b>Berkas KTP / NPWP sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/berkas_ktp_npwp/'.$data->berkas_ktp_npwp)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$data->berkas_ktp_npwp}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <label for="berkas_ktp_npwp" class="col-sm-6 col-form-label"><b>Berkas KTP / NPWP</b></label>
                        <div class="col-sm-6">
                                <input name="berkas_ktp_npwp" class="form-control" type="file">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>
                    @if($data->surat_pengalihan_hak_pemohon != null)
                    <div class="form-group row">
                        <label for="surat_pengalihan_hak_pemohon" class="col-sm-6 col-form-label"><b>Surat Pengalihan Hak Pemohon sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/surat_pengalihan_hak_pemohon/'.$data->surat_pengalihan_hak_pemohon)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$data->surat_pengalihan_hak_pemohon}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <label for="surat_pengalihan_hak_pemohon" class="col-sm-6 col-form-label"><b>Surat Pengalihan Hak Pemohon</b></label>
                        <div class="col-sm-6">
                            <input name="surat_pengalihan_hak_pemohon" class="form-control" type="file">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>
                    @if($data->surat_pernyataan_pihak_umj != null)
                    <div class="form-group row">
                        <label for="surat_pernyataan_pihak_umj" class="col-sm-6 col-form-label"><b>Surat Pernyataan Pihak UMJ sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/surat_pernyataan_pihak_umj/'.$data->surat_pernyataan_pihak_umj)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$data->surat_pernyataan_pihak_umj}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <label for="surat_pernyataan_pihak_umj" class="col-sm-6 col-form-label"><b>Surat Pernyataan Pihak UMJ</b></label>
                        <div class="col-sm-6">
                            <input name="surat_pernyataan_pihak_umj" class="form-control" type="file">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>
                    @if($data->surat_pernyataan_pihak_umj != null)
                    <div class="form-group row">
                        <label for="karya_cipta" class="col-sm-6 col-form-label"><b>Karya Cipta sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/karya_cipta/'.$data->karya_cipta)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$data->karya_cipta}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <label for="karya_cipta" class="col-sm-6 col-form-label"><b>Karya Cipta</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="karya_cipta" name="karya_cipta" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>
                    @if($data->bukti_transfer != null)
                    <div class="form-group row">
                        <label for="bukti_transfer" class="col-sm-6 col-form-label"><b>Bukti Transfer sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/bukti_transfer/'.$data->bukti_transfer)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$data->bukti_transfer}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <label for="bukti_transfer" class="col-sm-6 col-form-label"><b>Bukti Transfer</b></label>
                        <div class="col-sm-6">
                            <input name="bukti_transfer" class="form-control" type="file">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-10">
                            <button type="submit" class="btn btn-primary">Simpan</button>
                            <!--<button type="button" class="btn btn-danger">Simpan sebagai Draf</button>-->
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>            
</div>

@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-select/css/bootstrap-select.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>

<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-select/js/bootstrap-select.min.js') }}"></script>
<script>
    var date = new Date();
    date.setDate(date.getDate());

    $('#tanggal_publikasi').datepicker({
        format: "dd-mm-yyyy",
        orientation: "bottom",
        startDate: date,
        todayHighlight: true,
        clearBtn: true
    });

    $('#tablememberhki').on('click', '#btnAddMember', function(){
        var str = "";
        str += '<tr>';
        str += '<td><input type="text" placeholder="Nama Anggota" class="form-control namaMember" name="member[nama][]"></td>';
        str += '<td><textarea name="member[alamat][]" class="form-control alamatMember" rows="5"></textarea></td>';
        str += '<td><input type="text" placeholder="No Telp / HP" class="form-control noHpMember" name="member[no_hp][]"></td>';
        str += '<td><button type="button" class="btn btn-danger btnremove" title="Hapus baris ini"><i class="fa fa-close"></i></button></td>';
        str += '</tr>';
        $('#tablememberhki > tbody:last-child').append(str);

        return false;
    });

    $(document).on('click', '.btnremove', function(){
        var row_index = $(this).parent().index();
        
        $(this).closest('tr').remove();
        return false;
    });
</script>
@stop
