@extends('layout.master')
@section('parentPageTitle', 'Hibah')
@section('title', 'Pengajuan Insentif Media Massa')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <h6>Ubah Pengajuan Insentif Media Massa</h6>
                <form method="POST" action="{{route('insentif.pengajuan.update', ['id'=>$id])}}" enctype="multipart/form-data">
                @csrf
                    @if(Session::has('alert'))
                        <div class="alert alert-danger">
                            <div><button type="button" class="close" data-dismiss="alert"></button> &nbsp;&nbsp; {{Session::get('alert')}}</div>
                        </div>
                    @endif
                    <input type="hidden" name="pengajuan_untuk" value="Media">
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Judul</b></label>
                        <div class="col-sm-6">
                            <textarea rows="3" cols="10" placeholder="Judul" class="form-control" id="judul" name="judul">{{$pengajuan->judul}}</textarea>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nama_penerbit" class="col-sm-4 col-form-label"><b>Nama Media Massa</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Nama Media Massa" class="form-control" value="{{$pengajuan->nama_media}}" id="nama_media" name="nama_media">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Jenis Media</b></label>
                        <div class="col-sm-6">
                            <select name="jenis_publikasi" class="form-control" id="jenis_publikasi">
                                @foreach($jenisPublikasi as $val)
                                <option value="{{$val->jenis_publikasi_insentif_id}}" {{$pengajuan->jenis_publikasi_id == $val->jenis_publikasi_insentif_id ? 'selected':''}}>{{$val->nama}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="end_date" class="col-sm-4 col-form-label"><b id="txt1">Tanggal Terbit</b></label>
                        <div class="col-sm-6">
                            <input type="text" id="media_date" name="tanggal_terbit_media" value="{{$pengajuan->tanggal_terbit_media}}" class="form-control col-sm-10" placeholder="Tanggal Terbit Media">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>URL</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url" class="form-control col-sm-10" value="{{$pengajuan->url}}" placeholder="URL">
                        </div>
                    </div>
                    @if($pengajuan->bukti_ss_media != null)
                    <div class="form-group row">
                        <label for="bukti_ss_media" class="col-sm-6 col-form-label"><b id="txt3">Bukti Tangkapan Layar sebelumnya</b></label>
                        <div class="col-sm-12">
                            <a href="{{asset('upload/bukti_ss_media/'.$pengajuan->bukti_ss_media)}}"><i class="fa fa-paperclip"></i>&nbsp;{{$pengajuan->bukti_ss_media}}</a>
                        </div>
                    </div>
                    @endif
                    <div class="form-group row">
                        <input type="hidden" name="file_bukti_ss_media" value="{{$pengajuan->bukti_ss_media}}">
                        <label for="bukti_ss_media" class="col-sm-6 col-form-label"><b>Bukti Tangkapan Layar Berita Media Massa</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_ss_media" name="bukti_ss_media" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group row">
                        <label for="status_pengajuan" class="col-sm-4 col-form-label"><b>Simpan dengan Status</b></label>
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_1" value="Draf" name="status_pengajuan" class="custom-control-input status" {{$pengajuan->status_pengajuan == 'Draf' ? 'checked' : ''}}>
                                <label class="custom-control-label" for="status_pengajuan_1">Draf</label>
                            </div>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_2" value="Menunggu Validasi" name="status_pengajuan" class="custom-control-input status" {{$pengajuan->status_pengajuan == 'Menunggu Validasi' ? 'checked' : ''}}>
                                <label class="custom-control-label" for="status_pengajuan_2">Ajukan Validasi</label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-10">
                            <button type="submit" class="btn btn-primary">Simpan</button>
                            <!--<button type="button" class="btn btn-danger">Simpan sebagai Draf</button>-->
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>            
</div>

@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-select/css/bootstrap-select.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>

<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-select/js/bootstrap-select.min.js') }}"></script>
<script>
    $(function() {
        "use strict";

        var date = new Date();
        date.setDate(date.getDate());

        $('#media_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            todayHighlight: true,
            clearBtn: true
        });

        $('#end_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });
        
    });
</script>
@stop
