@extends('layout.master')
@section('parentPageTitle', 'Hibah')
@section('title', 'Pengajuan Insentif Jurnal')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <h6>Buat Pengajuan Insentif Jurnal</h6>
                <form method="POST" action="{{route('insentif.pengajuan.store')}}" enctype="multipart/form-data">
                @csrf
                    @if(Session::has('alert'))
                        <div class="alert alert-danger">
                            <div><button type="button" class="close" data-dismiss="alert"></button> &nbsp;&nbsp; {{Session::get('alert')}}</div>
                        </div>
                    @endif
                    <input type="hidden" name="pengajuan_untuk" value="Jurnal">
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Judul</b></label>
                        <div class="col-sm-6">
                            <textarea rows="3" cols="10" placeholder="Judul" class="form-control" id="judul" name="judul"></textarea>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nama_jurnal" class="col-sm-4 col-form-label"><b>Nama Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Nama Jurnal" class="form-control" id="nama_jurnal" name="nama_jurnal">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Jenis Publikasi</b></label>
                        <div class="col-sm-6">
                            <select name="jenis_publikasi" class="form-control" id="jenis_publikasi">
                                @foreach($jenisPublikasi as $val)
                                <option value="{{$val->jenis_publikasi_insentif_id}}">{{$val->nama}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Peran Penulis</b></label>
                        <div class="col-sm-6">
                            <select name="peran_penulis" class="form-control" id="peran_penulis">
                                <option value="First Author">First Author</option>
                                <option value="Corresponding Author">Corresponding Author</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="end_date" class="col-sm-4 col-form-label"><b>Tahun Publikasi</b></label>
                        <div class="col-sm-6">
                            <select name="tahun_publikasi" class="form-control" id="tahun_publikasi">
                                @for($i=date('Y');$i<=date('Y');$i++)
                                <option value="{{$i}}">{{$i}}</option>
                                @endfor
                            </select>
                        </div>
                    </div>
                    <div class="form-group row jurnal">
                        <label for="vol" class="col-sm-12 col-form-label"><b>Volume Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="text" name="vol" class="form-control" maxlength="4">
                        </div>
                    </div>
                    <div class="form-group row jurnal">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Nomor Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="text" name="nomor" maxlength="4" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Tautan ke Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url" class="form-control col-sm-10" placeholder="Tautan ke Jurnal">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Tautan ke artikel Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url_artikel_jurnal" class="form-control col-sm-10" placeholder="Tautan ke artikel Jurnal">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Tautan ke Schimmago / WOS / SINTA</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url_schimmagi_wos_sinta" class="form-control col-sm-10" placeholder="Tautan ke Schimmago / WOS / SINTA">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="vol" class="col-sm-12 col-form-label"><b>Biaya Publikasi Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="text" value="0" class="form-control nums" style="text-align:right;" id="biaya" name="biaya" placeholder="Jumlah Biaya (Rupiah)">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-6 col-sm-12">
                            <div class="form-group">
                                <label for="issn_1" class="col-sm-12 col-form-label"><b>ISSN</b></label>
                                <div class="col-sm-6">
                                    <table>
                                        <tr>
                                            <td><input type="text" name="issn_1" class="form-control col-sm-12 issn-column tipenumber" maxlength="4"></td>
                                            <td>&emsp;</td>
                                            <td><input type="text" name="issn_2" class="form-control col-sm-12 issn-column tipenumber" maxlength="4"></td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Tautan SINTA Penulis</b></label>
                        <div class="col-sm-6">
                            <input type="url" name="url_sinta_penulis" class="form-control col-sm-10" placeholder="Tautan sinta Penulis">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="bukti_ss_sinta_3" class="col-sm-6 col-form-label"><b>Bukti Tangkapan Layar SINTA 3 Pada Laman Penulis</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_ss_sinta_3" name="bukti_ss_sinta_3" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i> | Max File Size 2MB</p>
                            </li>
                        </ul>
                    </div>
                    <div class="form-group row">
                        <label for="bukti_review_jurnal" class="col-sm-6 col-form-label"><b>Bukti Review</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_review_jurnal" name="bukti_review_jurnal" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i> | Max File Size 2MB</p>
                            </li>
                        </ul>
                    </div>
                    <div class="form-group row">
                        <label for="bukti_kwitansi_pengelola_jurnal" class="col-sm-6 col-form-label"><b>Bukti Transfer ke Pengelola Jurnal / Kwitansi dari Pengelola Jurnal</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_kwitansi_pengelola_jurnal" name="bukti_kwitansi_pengelola_jurnal" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i> | Max File Size 2MB</p>
                            </li>
                        </ul>
                    </div>
                    <div class="form-group row">
                        <label for="bukti_cek_plagiarism" class="col-sm-6 col-form-label"><b>Bukti Cek Plagiarisme</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_cek_plagiarism" name="bukti_cek_plagiarism" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i> | Max File Size 2MB</p>
                            </li>
                        </ul>
                    </div>
                    <div class="form-group row">
                        <label for="berkas_pengajuan" class="col-sm-6 col-form-label"><b id="txt2">Artikel yang dipublikasikan</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="berkas_pengajuan" name="berkas_pengajuan" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.pdf <i class="fa fa-file"></i> | Max File Size 2MB</p>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group row">
                        <label for="status_pengajuan" class="col-sm-4 col-form-label"><b>Simpan dengan Status</b></label>
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_1" value="Draf" name="status_pengajuan" class="custom-control-input status">
                                <label class="custom-control-label" for="status_pengajuan_1">Draf</label>
                            </div>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_2" checked value="Menunggu Validasi" name="status_pengajuan" class="custom-control-input status">
                                <label class="custom-control-label" for="status_pengajuan_2">Ajukan Validasi</label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-10">
                            <button type="submit" class="btn btn-primary">Simpan</button>
                            <!--<button type="button" class="btn btn-danger">Simpan sebagai Draf</button>-->
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>            
</div>

@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-select/css/bootstrap-select.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>

<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-select/js/bootstrap-select.min.js') }}"></script>

@stop
