@extends('layout.master')
@section('parentPageTitle', 'Hibah')
@section('title', 'Pengajuan Insentif Pengelola Jurnal')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <h6>Buat Pengajuan Insentif Pengelola Jurnal</h6>
                <form method="POST" action="{{route('insentif.pengelola_jurnal.store')}}" enctype="multipart/form-data">
                @csrf
                    @if(Session::has('alert'))
                        <div class="alert alert-danger">
                            <div><button type="button" class="close" data-dismiss="alert"></button> &nbsp;&nbsp; {{Session::get('alert')}}</div>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label for="judul" class="col-sm-4 col-form-label"><b>Pilih Jurnal</b></label>
                        <div class="col-sm-6">
                            <select class="form-control" name="jurnal">
                                @foreach($jurnal as $j)
                                <option value="{{$j->jurnal_id}}">{{$j->nama}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="form-group row jurnal">
                        <label for="vol" class="col-sm-12 col-form-label"><b>Volume</b></label>
                        <div class="col-sm-6">
                            <input type="text" name="volume" class="form-control" maxlength="4">
                        </div>
                    </div>
                    <div class="form-group row jurnal">
                        <label for="nomor" class="col-sm-12 col-form-label"><b>Nomor</b></label>
                        <div class="col-sm-6">
                            <input type="text" name="nomor" maxlength="4" class="form-control">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="tahun_terbit" class="col-sm-4 col-form-label"><b id="txt1">Tahun Terbit</b></label>
                        <div class="col-sm-6">
                            <select name="tahun_terbit" class="form-control" id="tahun_terbit">
                                @for($i=date('Y')-2;$i<=date('Y');$i++)
                                <option value="{{$i}}">{{$i}}</option>
                                @endfor
                            </select>
                        </div>
                    </div>
                    <div class="form-group row divBiaya">
                        <label for="vol" class="col-sm-12 col-form-label"><b id="txtbiaya">Jumlah Artikel</b></label>
                        <div class="col-sm-6">
                            <input type="text" value="0" class="form-control nums" style="text-align:right;" id="jumlah_artikel" name="jumlah_artikel" placeholder="Jumlah Artikel">
                        </div>
                    </div>
                    <div class="form-group row buku">
                        <label for="bukti_terbitan" class="col-sm-6 col-form-label"><b>Bukti Terbitan</b></label>
                        <div class="col-sm-6">
                            <input type="file" class="form-control" id="bukti_terbitan" name="bukti_terbitan" placeholder="">
                        </div>
                        <ul>
                            <li>
                                <p>Format file untuk diunggah adalah ekstensi *.jpg, *.jpeg, *.png, *.pdf <i class="fa fa-file"></i></p>
                            </li>
                            <li>
                                <p>Ukuran maksimal file adalah 2MB</p>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group row">
                        <label for="status_pengajuan" class="col-sm-4 col-form-label"><b>Simpan dengan Status</b></label>
                        <div class="col-sm-6">
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_1" value="Draf" name="status_pengajuan" class="custom-control-input status">
                                <label class="custom-control-label" for="status_pengajuan_1">Draf</label>
                            </div>
                            <div class="custom-control custom-radio custom-control-inline">
                                <input type="radio" id="status_pengajuan_2" checked value="Menunggu Persetujuan" name="status_pengajuan" class="custom-control-input status">
                                <label class="custom-control-label" for="status_pengajuan_2">Ajukan</label>
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        <div class="col-sm-10">
                            <button type="submit" class="btn btn-primary">Simpan</button>
                            <!--<button type="button" class="btn btn-danger">Simpan sebagai Draf</button>-->
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>            
</div>

@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-select/css/bootstrap-select.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>

<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-select/js/bootstrap-select.min.js') }}"></script>
<script>
    $(function() {
        "use strict";

        var date = new Date();
        date.setDate(date.getDate());

        $('#start_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });

        $('#end_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });
        
    });
</script>
@stop
