@extends('layout.master')
@section('parentPageTitle', 'Hibah')
@section('title', 'Periode Pengajuan Insentif')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="card">
            <div class="card-body">
                <h6>Ubah Periode Insentif</h6>
                <form method="POST" action="{{route('insentif.periode.update', ['id'=>$id])}}">
                @csrf
                    @if(Session::has('alert'))
                        <div class="alert alert-danger">
                            <div><button type="button" class="close" data-dismiss="alert"></button> &nbsp;&nbsp; {{Session::get('alert')}}</div>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label for="start_date" class="col-sm-4 col-form-label"><b>Tanggal Mulai</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Tanggal Mulai" value="{{$periode->tanggal_mulai}}" class="form-control datepickers" id="start_date" name="start_date">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="end_date" class="col-sm-4 col-form-label"><b>Tanggal Akhir</b></label>
                        <div class="col-sm-6">
                            <input type="text" placeholder="Tanggal Akhir" value="{{$periode->tanggal_akhir}}" class="form-control datepickers" id="end_date" name="end_date">
                        </div>
                    </div>
                    <div class="form-group row">
                        <label for="nama" class="col-sm-4 col-form-label"><b>Dibuat Oleh</b></label>
                        <div class="col-sm-6">
                            {{$periode->nama_lengkap}}
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-10">
                            <button type="submit" class="btn btn-primary">Ubah</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>            
</div>

@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-select/css/bootstrap-select.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>

<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-select/js/bootstrap-select.min.js') }}"></script>
<script>
    $(function() {
        "use strict";

        var date = new Date();
        date.setDate(date.getDate());

        $('#start_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });

        $('#end_date').datepicker({
            format: "dd-mm-yyyy",
            orientation: "bottom",
            startDate: date,
            todayHighlight: true,
            clearBtn: true
        });
        
    });
</script>
@stop
