@extends('layout.master')
@section('parentPageTitle', 'Simlitabmas')
@section('title', 'Insentif Reviewer')

@section('content')
<div class="section-body mt-3">
    <div class="container-fluid">
        <div class="tab-content mt-3">
            <div class="tab-pane fade show active" id="pengajuan" role="tabpanel">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title"><b>Insentif Reviewer</b></h3>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <div class="row clearfix">
                                <div class="col-md-2 col-sm-12">
                                    <div class="form-group">
                                        <label for="fTahun" class="col-sm-12 col-form-label">Pilih Tahun<span class="required" style="color: red;"> *</span></label>
                                        <select name="fTahun" id="fTahun" class="form-control">
                                            <option value="">-- Pilih Tahun --</option>
                                            @for($i=date('Y')-2;$i<=date('Y');$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                            @endfor
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12" id="f_hibah" style="display:none;">
                                    <div class="form-group">
                                        <label for="fHibah" class="col-sm-12 col-form-label">Pilih Hibah<span class="required" style="color: red;"> *</span></label>
                                        <select name="fHibah" id="fHibah" class="form-control">
                                            
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-12" id="f_jenis" style="display:none;">
                                    <div class="form-group">
                                        <label for="fJenis" class="col-sm-12 col-form-label">Pilih Jenis Review<span class="required" style="color: red;"> *</span></label>
                                        <select name="fJenis" id="fJenis" class="form-control">
                                            <option value="">--Pilih Jenis Review--</option>
                                            <option value="Proposal">Proposal</option>
                                            <option value="Monev">Monev</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <table class="table table-hover table-striped table-bordered mt-10" style="width:100%" id="tableInsentifReviewer">
                                <thead>
                                    <tr>
                                        <th><b>No</b></th>
                                        <th><b>Hibah ID</b></th>
                                        <th><b>Hibah</b></th>
                                        <th><b>Jenis Review</b></th>
                                        <th><b>Nama Reviewer</b></th>
                                        <th><b>Jumlah Usulan di Review</b></th>
                                        <th><b>Status</b></span></th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                            <input type="hidden" name="hidden_page" class="hidden_page" value="1" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@stop

@section('popup')
<!-- Modal -->
<div class="modal fade" id="upload_laporan_akhir" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Unggah Laporan Akhir</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <form id="formUploadLaporanAkhir" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="modal-body">
                    <div class="row clearfix">
                        <div class="col-12">
                            <div class="form-group mt-2 mb-3">
                                <p><b>Langkah-langkah untuk meng-<i>upload</i> laporan akhir</b></p>
                                <ul>
                                    <li>Download template Laporan Akhir <a id="changeurl" href="/template/template_hibah_penelitian.xlsx" download>disini</a>.</li>
                                    <li>Klik area dibawah dan pilih file yang anda isikan sebelumnya</li>
                                </ul>
                                <input type="file" name="fileupload" class="dropify" accept="application/msword, application/vnd.openxmlformats-officedocument.wordprocessingml.document">
                                <input type="hidden" id="proposal_hidden" name="proposal_id">
                                <input type="hidden" id="hibah_hidden" name="hibah_id">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                    <button type="submit" class="btn btn-primary">Unggah</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="detailKuesionerModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="title" id="defaultModalLabel">Lihat Detail Kuesioner Kepuasan Mitra</h4>
            </div>
            <div class="modal-body">
                <table style="width:100%;">
                    <tr>
                        <td style="width:30%;">Nama Ketua</td>
                        <td style="width:70%;" id="namaKetua"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Judul Proposal</td>
                        <td style="width:70%;" id="judulProposal"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Nama Mitra</td>
                        <td style="width:70%;" id="namaMitra"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Alamat Mitra</td>
                        <td style="width:70%;" id="alamatMitra"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Bidang Usaha Mitra</td>
                        <td style="width:70%;" id="bidangUsahaMitra"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Nomor Kontak Mitra</td>
                        <td style="width:70%;" id="noKontakMitra"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Berkas Kuesioner</td>
                        <td style="width:70%;" id="berkasKuesioner"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td style="width:30%;">Saran / Rekomendasi</td>
                        <td style="width:70%;" id="saranRekomendasi"></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                </table>
                <h5><b>Daftar Pertanyaan</b></h5>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th><b>No</b></th>
                            <th><b>Pertanyaan</b></th>
                            <th><b>Jawaban</b></th>
                        </tr>
                    </thead>
                    <tbody id="appendNilai">
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger waves-effect" data-dismiss="modal">Tutup</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="isiKuesionerModal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <form id="formNilai" enctype="multipart/form-data">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="title" id="defaultModalLabel">Isi Kuesioner Kepuasan Mitra</h4>
                </div>
                <div class="modal-body">
                    <table style="width:100%;">
                        <tr>
                            <td style="width:30%;">Nama Ketua</td>
                            <td style="width:70%;" id="namaKetua"></td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Judul Proposal</td>
                            <td style="width:70%;" id="judulProposal"></td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Nama Mitra</td>
                            <td style="width:70%;">
                                <input type="text" name="nama_mitra" id="nama_mitra" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Alamat Mitra</td>
                            <td style="width:70%;">
                                <textarea name="alamat_mitra" id="alamat_mitra" class="form-control" rows="5"></textarea>
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Bidang Usaha Mitra</td>
                            <td style="width:70%;">
                                <input type="text" name="bidang_usaha_mitra" id="bidang_usaha_mitra" class="form-control">
                            </td>
                        </tr>
                        <tr><td colspan="2">&nbsp;</td></tr>
                        <tr>
                            <td style="width:30%;">Nomor Kontak Mitra</td>
                            <td style="width:70%;">
                                <input type="text" name="nomor_kontak_mitra" id="nomor_kontak_mitra" class="form-control">
                            </td>
                        </tr>
                    </table>
                    <br>
                    <input type="hidden" name="user_id" id="userid">
                    <input type="hidden" name="proposal_id" id="proposalid">
                    <div class="row clearfix" id="pertanyaan">
                        
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="file_name"><b>Unggah Berkas Form Kepuasan Mitra</b></label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <input name="berkas" class="form-control" type="file">
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-lg-12 col-md-12 col-sm-12 form-control-label">
                            <label for="saran_rekomendasi"><b>Saran dan Rekomendasi Tindak Lanjut</b></label>
                        </div>
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="form-group">
                                <textarea name="saran_rekomendasi" class="form-control" placeholder="Masukan saran dan rekomendasi tindak lanjut" rows=5 cols=12></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type='button' id='btnSaveNilai' class='btn btn-primary waves-effect'>Simpan</button>
                    <button type="button" class="btn btn-danger waves-effect" data-dismiss="modal">Tutup</button>
                </div>
            </div>
        </form>
    </div>
</div>
@stop

@section('page-styles')
<link rel="stylesheet" href="{{ asset('assets/plugins/datatable/dataTables.bootstrap4.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/sweetalert/sweetalert.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css') }}">
<link rel="stylesheet" href="{{ asset('assets/plugins/dropify/css/dropify.min.css') }}">
@stop

@section('page-script')
<script src="{{ asset('assets/bundles/counterup.bundle.js') }}"></script>
<script src="{{ asset('assets/plugins/sweetalert/sweetalert.min.js') }}"></script>
<script src="{{ asset('assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ asset('assets/plugins/dropify/js/dropify.min.js') }}"></script>

<script src="{{ asset('assets/js/core.js') }}"></script>
<script src="{{ asset('assets/js/page/dialogs.js') }}"></script>
<script src="{{ asset('assets/js/form/dropify.js') }}"></script>    
<script src="{{ asset('assets/plugins/datatable/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/buttons/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/buttons/buttons.html5.min.js') }}"></script>
<script src="{{ asset('assets/js/jszip.min.js') }}"></script>
<script src="{{ asset('assets/js/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ asset('assets/js/pdfmake/vfs_fonts.js') }}"></script>
@stop
